=== debian/changelog ===
pytables (3.1.1-0ubuntu1) trusty; urgency=medium

  [ Antonio Valentino ]
  * New upstream release
  * debian/control
    - debug package now depend on python(3)-dbg, python(3)-numpy-dbg,
      pyhon(3)-numexpr-dbg instead of recommending them
      (Closes: #742557)
    - use versioned dependency for lzo (>= 0.0~r114) since one of the
      symbols used in blosc is missing in earlier versions
  * debian/patches
    - new patch (0003-Better-control-of-verbosity-in-unittests.patch)
      for better control of verbosity in unittests
    - new patch 0005-Do-not-fetch-icons-for-external-web-sites.patch
      to avoid fetching data from external web sites in html pages of
      the doc
    - the 0003-Only-use-msse2-flag-on-x86_64.patch has been updated
      after the upstream changes and renamed into
      0004-Never-use-the-msse2-flag-explicitly.patch
    - all remaining patches has been refreshed

  [ Julian Taylor ]
  * upload to ubuntu trusty

 -- Julian Taylor <jtaylor@ubuntu.com>  Mon, 14 Apr 2014 18:47:27 +0200

pytables (3.1.0-2) unstable; urgency=medium

  * Improved the debian/README.source file (added a note about the
    external compression libraries included in the source tree)
  * Only use the -msse2 flag on x86_64 machines

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 05 Mar 2014 22:51:16 +0000

pytables (3.1.0-1) unstable; urgency=low

  * New upstream release (Closes: #734298)
  * Standard version bumped to 3.9.5 (no changes)
  * New python(3)-tables-lib packages.
    The old python(3)-tables packages have been split into
    python(3)-tables (containing common code for all platforms) and
    python(3)-tables-lib (containing only platform specific extensions).
  * New python-tables-data package including all data files used for
    unit testing
  * Added autopkgtests running testsuite
  * debian/patches
    - removed 0001-Fix-detection-of-platforms-supporting-blosc.patch
      (applied upstream)
    - removed 0003-disable-extended-float-support.patch no more
      necessary
    - remaining patches have been refreshed
    - new patch (0002-Use-system-compression-libs.patch) to use
      system compression libraries instead of internal copies
  * debian/control
    - added build dependencies form liblz4-dev and snappy-dev 
  * temporary disabled tests for python3.x-dbg

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 02 Mar 2014 15:47:11 +0000

pytables (3.0.0-2) unstable; urgency=low

  * Explicitly specify the minimum numexpr version in the binary
    package dependency line

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 21 Sep 2013 17:48:09 +0000

pytables (3.0.0-1) experimental; urgency=low

  * New upstream release
  * Fix PDF doc installation after upstream changes
  * Added a man page for the new pt2pt3 command line tool
  * Build-Depend on numexpr >= 2.1
  * Minimum Python version is now 2.6
  * New packages for Python 3
  * debian/patches:
    - Refresh all patches
    - Drop 0002-Fix-detection-od-platforms-supporting-blosc.patch
      (applied upstream)
    - New 0002-use-dynamic-lib.patch (fixes an issue with liblzo2.so
      detection)
    - New patch for disabling extended float support (workaround for an
      upstream bug of HDF5 with gcc-4.8)
  * Fixed the license for win32/pthread.* in the copyright file
    See also https://code.google.com/p/numexpr/issues/detail?id=109#c5

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 07 Sep 2013 17:24:24 +0000
