=== debian/tests/control ===
Tests: python2
Depends: python-tables, python-all

Tests: python2-dbg
Depends: python-tables-dbg, python-all-dbg

Tests: python3
Depends: python3-tables, python3-all

#Tests: python3-dbg
#Depends: python3-tables-dbg, python3-all-dbg
